[Spice-commits] 2 commits - autogen.sh spice/vdi_dev.h
Marc-André Lureau
elmarco at kemper.freedesktop.org
Thu Dec 4 08:41:27 PST 2014
autogen.sh | 167 +++-----------------------------------------------------
spice/vdi_dev.h | 4 +
2 files changed, 14 insertions(+), 157 deletions(-)
New commits:
commit fb50e86680083edff3bce7789f97b62d86d7e9a4
Author: Marc-André Lureau <marcandre.lureau at gmail.com>
Date: Thu Dec 4 17:39:32 2014 +0100
build-sys: simplify autogen
Use autoreconf, allow out of tree autogen.sh run.
diff --git a/autogen.sh b/autogen.sh
index 7d7c534..de6881d 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,166 +1,19 @@
#! /bin/sh
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-ORIGDIR=`pwd`
-cd $srcdir
-
-# FIXME: can replace this entire script with
-# the following line if we can require autoconf 2.60:
-# autoreconf -v --force --install || exit 1
-
-PACKAGE=spice-protocol
-
-ACLOCAL_FLAGS=""
-AUTOHEADER=${AUTOHEADER-autoheader}
-AUTOMAKE_FLAGS="--add-missing --gnu"
-AUTOCONF=${AUTOCONF-autoconf}
-
-# automake 1.8 requires autoconf 2.58
-# automake 1.7 requires autoconf 2.54
-automake_min_vers=1.7
-aclocal_min_vers=$automake_min_vers
-autoconf_min_vers=2.54
+set -e # exit on errors
-# The awk-based string->number conversion we use needs a C locale to work
-# as expected. Setting LC_ALL overrides whether the user set LC_ALL,
-# LC_NUMERIC, or LANG.
-LC_ALL=C
-
-ARGV0=$0
-
-# Allow invocation from a separate build directory; in that case, we change
-# to the source directory to run the auto*, then change back before running configure
-srcdir=`dirname $ARGV0`
+srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-ORIGDIR=`pwd`
-
-# Not all echo versions allow -n, so we check what is possible. This test is
-# based on the one in autoconf.
-case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
- *c*,-n*) ECHO_N= ;;
- *c*,* ) ECHO_N=-n ;;
- *) ECHO_N= ;;
-esac
-
-
-# some terminal codes ...
-boldface="`tput bold 2>/dev/null || true`"
-normal="`tput sgr0 2>/dev/null || true`"
-printbold() {
- echo $ECHO_N "$boldface"
- echo "$@"
- echo $ECHO_N "$normal"
-}
-printerr() {
- echo "$@" >&2
-}
-
-# Usage:
-# compare_versions MIN_VERSION ACTUAL_VERSION
-# returns true if ACTUAL_VERSION >= MIN_VERSION
-compare_versions() {
- ch_min_version=$1
- ch_actual_version=$2
- ch_status=0
- IFS="${IFS= }"; ch_save_IFS="$IFS"; IFS="."
- set $ch_actual_version
- for ch_min in $ch_min_version; do
- ch_cur=`echo $1 | sed 's/[^0-9].*$//'`; shift # remove letter suffixes
- if [ -z "$ch_min" ]; then break; fi
- if [ -z "$ch_cur" ]; then ch_status=1; break; fi
- if [ $ch_cur -gt $ch_min ]; then break; fi
- if [ $ch_cur -lt $ch_min ]; then ch_status=1; break; fi
- done
- IFS="$ch_save_IFS"
- return $ch_status
-}
+(
+ cd "$srcdir"
+ autoreconf --verbose --force --install
+)
-# Usage:
-# version_check PACKAGE VARIABLE CHECKPROGS MIN_VERSION SOURCE
-# checks to see if the package is available
-version_check() {
- vc_package=$1
- vc_variable=$2
- vc_checkprogs=$3
- vc_min_version=$4
- vc_source=$5
- vc_status=1
+CONFIGURE_ARGS="--enable-maintainer-mode"
- vc_checkprog=`eval echo "\\$$vc_variable"`
- if [ -n "$vc_checkprog" ]; then
- printbold "using $vc_checkprog for $vc_package"
- return 0
- fi
-
- printbold "checking for $vc_package >= $vc_min_version..."
- for vc_checkprog in $vc_checkprogs; do
- echo $ECHO_N " testing $vc_checkprog... "
- if $vc_checkprog --version < /dev/null > /dev/null 2>&1; then
- vc_actual_version=`$vc_checkprog --version | head -n 1 | \
- sed 's/^.*[ ]\([0-9.]*[a-z]*\).*$/\1/'`
- if compare_versions $vc_min_version $vc_actual_version; then
- echo "found $vc_actual_version"
- # set variable
- eval "$vc_variable=$vc_checkprog"
- vc_status=0
- break
- else
- echo "too old (found version $vc_actual_version)"
- fi
- else
- echo "not found."
- fi
- done
- if [ "$vc_status" != 0 ]; then
- printerr "***Error***: You must have $vc_package >= $vc_min_version installed"
- printerr " to build $PROJECT. Download the appropriate package for"
- printerr " from your distribution or get the source tarball at"
- printerr " $vc_source"
- printerr
- fi
- return $vc_status
-}
-
-version_check autoconf AUTOCONF $AUTOCONF $autoconf_min_vers \
- "http://ftp.gnu.org/pub/gnu/autoconf/autoconf-${autoconf_min_vers}.tar.gz" || DIE=1
-version_check automake AUTOMAKE "$AUTOMAKE automake automake-1.10 automake-1.9 automake-1.8 automake-1.7" $automake_min_vers \
- "http://ftp.gnu.org/pub/gnu/automake/automake-${automake_min_vers}.tar.gz" || DIE=1
-ACLOCAL=`echo $AUTOMAKE | sed s/automake/aclocal/`
-
-if test -n "$DIE"; then
- exit 1
+if [ -z "$NOCONFIGURE" ]; then
+ echo "Running configure with $CONFIGURE_ARGS $@"
+ "$srcdir/configure" $CONFIGURE_ARGS "$@"
fi
-
-
-if test -z "$*"; then
- echo "$ARGV0: Note: \`./configure' will be run with no arguments."
- echo " If you wish to pass any to it, please specify them on the"
- echo " \`$0' command line."
- echo
-fi
-
-do_cmd() {
- echo "$ARGV0: running \`$@'"
- $@
-}
-
-# Run for top level directory
-
-printbold "Setting up $PACKAGE toplevel"
-cd $srcdir
-do_cmd $ACLOCAL $ACLOCAL_FLAGS
-do_cmd $AUTOHEADER
-do_cmd $AUTOMAKE $AUTOMAKE_FLAGS
-do_cmd $AUTOCONF
-
-cd "$ORIGDIR" || exit $?
-rm -f config.cache
-
-if test -z "$NOCONFIGURE"; then
- do_cmd $srcdir/configure --enable-maintainer-mode ${1+"$@"} || exit 1
-fi
-
commit 2d7bf3ed7fd66940bd228e8516d9b56cd607094f
Author: Marc-André Lureau <marcandre.lureau at gmail.com>
Date: Thu Dec 4 16:47:15 2014 +0100
vdi-dev: mark as deprecated
This interface has long been deprecated, and I don't know of any user.
Perhaps the header could even be removed from spice-protocol?
diff --git a/spice/vdi_dev.h b/spice/vdi_dev.h
index 8e0eec9..def88fc 100644
--- a/spice/vdi_dev.h
+++ b/spice/vdi_dev.h
@@ -37,6 +37,10 @@
#include <spice/start-packed.h>
+#ifndef SPICE_DISABLE_DEPRECATED
+#error "This SPICE interface is deprecated"
+#endif
+
#define REDHAT_PCI_VENDOR_ID 0x1b36
#define VDI_PORT_DEVICE_ID 0x0105
More information about the Spice-commits
mailing list